- [HTTP request](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs/create#body.request_body)
- [Response body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs/create#body.aspect)

Creates a new DeltaSharing catalog.

### HTTP request

`POST https://biglake.googleapis.com/deltasharing/v1/{parent=projects/*}/catalogs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where this catalog will be created. Format: projects/{project_id_or_number} |

### Query parameters

| Parameters ||
|---|---|
| `deltaSharingCatalogId` | `string` Required. The ID to use for the catalog, which will become the final component of the catalog's resource name. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs#DeltaSharingCatalog`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs#DeltaSharingCatalog`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/bigquery`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).